package com.displaynone.acss.components.init.models.repository

import android.util.Log
import com.displaynone.acss.components.auth.models.user.repository.dto.UserDTO
import com.displaynone.acss.config.Constants.serverUrl
import com.displaynone.acss.config.Network
import io.ktor.client.call.body
import io.ktor.client.request.get
import io.ktor.client.request.headers
import io.ktor.client.request.setBody
import io.ktor.client.statement.bodyAsText
import io.ktor.http.HttpHeaders
import io.ktor.http.HttpStatusCode
import io.ktor.http.encodeURLPath
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.withContext

class InitRepository {
    suspend fun ping(): Result<Boolean> = withContext(
        Dispatchers.IO){
        runCatching {
            val result = Network.client.get("$serverUrl/api/utils/ping") {
            }

            result.status == HttpStatusCode.OK
        }
    }
}